/*
 * This file is part of Remote X11 (RX11), a library and server that lets
 * you develop applications on systems without X11 support.
 *
 * Copyright (C) 1995, Kay Roemer. See COPYING for details.
 */

#ifndef _BYTEORDER_H
#define _BYTEORDER_H

#ifdef __HELIOS__

/*
 * htonl, ntohl are broken in my helios netinet/in.h.
 * Unfortunatly we need them, because T800's are little
 * endian.
 */

#undef htons
#undef ntohs
#undef htonl
#undef ntohl

#define htons(x) ((((x) >> 8) & 0xff) | (((x) << 8) & 0xff00))
#define ntohs(x) ((((x) >> 8) & 0xff) | (((x) << 8) & 0xff00))

#define htonl(x) (htons ((x) >> 16) | (htons (x) << 16))
#define ntohl(x) (htons ((x) >> 16) | (htons (x) << 16))

#endif

#endif
