/*
 * This file is part of Remote X11 (RX11), a library and server that lets
 * you develop applications on systems without X11 support.
 *
 * Copyright (C) 1995, Kay Roemer. See COPYING for details.
 */

#ifndef _FUNCS_H
#define _FUNCS_H

#include "rx11.h"

extern void DoOpenDisplay (Request *, int);
extern void DoCloseDisplay (Request *, int);

extern void DoFlush (Request *, int);
extern void DoFlushWindow (Request *, int);
extern void DoUpdateMode (Request *, int);

extern void DoCreateSimpleWindow (Request *, int);
extern void DoDestroyWindow (Request *, int);
extern void DoStoreName (Request *, int);

extern void DoDrawPoint (Request *, int);
extern void DoDrawLine (Request *, int);
extern void DoDrawRectangle (Request *, int);
extern void DoDrawArc (Request *, int);
extern void DoFillRectangle (Request *, int);
extern void DoFillArc (Request *, int);
extern void DoDrawString (Request *, int);
extern void DoDrawImageString (Request *, int);

extern void DoCreateGC (Request *, int);
extern void DoChangeGC (Request *, int);
extern void DoFreeGC (Request *, int);

extern void DoCreatePixmap (Request *, int);
extern void DoCreateBitmapFromData (Request *, int);
extern void DoCreatePixmapFromBitmapData (Request *, int);
extern void DoFreePixmap (Request *, int);

extern void DoCopyArea (Request *, int);
extern void DoCopyPlane (Request *, int);
extern void DoCopyBitmap (Request *, int);

extern void DoAllocColor (Request *, int);
extern void DoQueryColor (Request *, int);
extern void DoAllocNamedColor (Request *, int);

#endif
