/*
 * This file is part of Remote X11 (RX11), a library and server that lets
 * you develop applications on systems without X11 support.
 *
 * Copyright (C) 1995, Kay Roemer. See COPYING for details.
 */

#ifndef _SERVER_H
#define _SERVER_H

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include "RXlib.h"

extern Display *dpy;
extern short screen;


extern RXGC GCAdd (GC);
extern void GCDel (RXGC);
extern GC   GCLook (RXGC);

extern Window   WndAddSimple(Window);
extern Window   WndAdd      (Window, int x, int y, u_int w, u_int h);
extern void     WndDel      (Window);
extern Drawable WndLookPix  (Window);
extern Window   WndLookWin  (Window);
extern void     WndUpdate   (Window, int x, int y, u_int w, u_int h);
extern int      WndNeedUpdate (Window);

extern void     WndSetUpdateMode (Window, long);
extern void     WndFlush (Window);

extern void     WndDoEvents (void);

#endif
