/*
 * This file is part of Remote X11 (RX11), a library and server that lets
 * you develop applications on systems without X11 support.
 *
 * Copyright (C) 1995, Kay Roemer. See COPYING for details.
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <memory.h>

void *
xmalloc (size_t size)
{
  void *m;

  m = malloc (size);
  if (!m) {
    printf ("virtual memory exhausted.\n");
    exit (0);
  }
  return m;
}

char *
xstrdup (char *str)
{
  char *dst = xmalloc (strlen (str) + 1);
  strcpy (dst, str);
  return dst;
}
